Summary:        Self-contained RDBMS in a DBI Driver
Name:           perl-DBD-SQLite
Version:        1.72
Release:        1%{?dist}
License:        (GPL+ or Artistic) and Public Domain
URL:            https://metacpan.org/release/DBD-SQLite
Source0:        https://cpan.metacpan.org/authors/id/I/IS/ISHIGAKI/DBD-SQLite-%{version}.tar.gz

BuildRequires:  coreutils findutils gcc make
BuildRequires:  sqlite-devel perl-devel perl-generators perl-interpreter perl(base) perl(Config)
BuildRequires:  perl(constant) perl(DBI::DBD) perl(strict) perl(locale) perl(Scalar::Util) perl(Tie::Hash)
BuildRequires:  perl(warnings) perl(XSLoader) perl(bytes) perl(Carp) perl(Data::Dumper) perl(Digest::MD5)
BuildRequires:  perl(Encode) perl(Exporter) perl(File::Spec::Functions) perl(File::Temp) perl(FindBin)
BuildRequires:  perl(if) perl(lib) perl(Test::More) perl(Time::HiRes)
BuildRequires:  perl(:VERSION) >= 5.6
BuildRequires:  perl(DBI) >= 1.607
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(File::Spec) >= 0.82

%description
DBD::SQLite is a Perl DBI driver for SQLite, that includes the entire thing in the
distribution. So in order to get a fast transaction capable RDBMS working for your
perl project you simply have to install this module, and nothing else.

%prep
%autosetup -n DBD-SQLite-%{version} 

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 OPTIMIZE="%{optflags}"
%make_build

%install
%make_install
find %{buildroot} -type f  -name '*.bs' -size 0 -delete
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/DBD/
%{_mandir}/man3/*.3pm*

%changelog
* Thu Jan 04 2024 Upgrade Robot <upbot@opencloudos.org> - 1.72-1
- Upgrade to version 1.72

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.70-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.70-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.70-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.70-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Aug 23 2022 ZoeDong <zoedong@tencent.com> - 1.70-1
- Initial build

